Bug 1460515 - Review Request: python3-typed_ast - A fork of Python 2 and 3 ast modules with type comment support
Review Request: python3-typed_ast - A fork of Python 2 and 3 ast modules with...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1397901
  Show dependency treegraph
 
Reported: 2017-06-11 13:34 EDT by Gwyn Ciesla
Modified: 2017-06-17 15:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-17 15:42:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2017-06-11 13:34:29 EDT
Description:
A fork of Python 2 and 3 ast modules with type comment support

SPEC: https://fedorapeople.org/~limb/review/python3-typed_ast/python3-typed_ast.spec
SRPM: https://fedorapeople.org/~limb/review/python3-typed_ast/python3-typed_ast-1.0.3-1.fc26.src.rpm
Comment 1 Zbigniew Jędrzejewski-Szmek 2017-06-11 18:33:21 EDT
+ package name is OK (I'd prefer a dash instead of the underscore, but upstream seems to use an underscore consistently, and both are allowed by the guidelines…)
+ license is acceptable for Fedora (ASL 2.0)
+ license is specified correctly (according to setup.py and LICENSE file)
+ builds and installs w/o issues
+ fedora-review find no issues (false positive about URL and a diff in comment between the linked spec file and srpm)
+ R/P/BR look correct
+ mypy loads this module correctly when the rpm is installed (it doesn't work, but I think that's a separate bug, I'll follow up elsewhere).

Package is APPROVED.

My only suggestion would be to change the Summary to not suggest that this module works under Python 2, and also to not suggest that it only supports type comments, since it also supports the new not-comment-based syntax in Python 3.6. Maybe something like "Summary: A fork of the ast module with support for type annotations, %description: %summary. This package is based on the ast modules from Python 2 and 3, and has been extended with support for type comments and type annotations as supported in Python 3.6.".

Also, module names _ast3 and _ast27 are rather dangerous. It'd have been much better if they put them underneath their own namespace, as typed_ast._ast3 and typed_ast._ast27, but that that's an upstream issue.
Comment 2 Gwyn Ciesla 2017-06-12 09:07:55 EDT
Cool, thanks!
Comment 3 Gwyn Ciesla 2017-06-12 09:22:45 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python3-typed_ast
Comment 4 Fedora Update System 2017-06-12 09:45:48 EDT
python3-typed_ast-1.0.3-1.fc26 python-typeshed-0.1-0.20170612git.fc26 python3-mypy-0.511-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ca3f8ca87
Comment 5 Fedora Update System 2017-06-13 21:35:13 EDT
python-typeshed-0.1-0.20170612git.fc26, python3-mypy-0.511-2.fc26, python3-typed_ast-1.0.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ca3f8ca87
Comment 6 Fedora Update System 2017-06-17 15:42:34 EDT
python-typeshed-0.1-0.20170612git.fc26, python3-mypy-0.511-2.fc26, python3-typed_ast-1.0.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.